Subject: Re: Building DLLs
From: [email-masked] (Fergus Henderson)

26 Feb 1997 04:45:34 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Satish Balay)
Original-Cc: [email-masked] (gnu-win32)
In-Reply-To: <[email-masked]> from "Satish Balay" at Feb 25, 97 06:36:04 pm
X-Mailer: ELM [version 2.4 PL24]
Original-Sender: [email-masked]

Satish Balay, you wrote:
> 
> 	I tried using Makefile.DLLs and had a few problems.
> 	(gcc-Beta-17.1)
> 
> 	ld could'nt understand the -L*** -l options.

That's a bit strange.  What error are you getting, exactly?

> 	I had to change linker form ld to gcc
> 
> 	Once i made this change things seem to fall in place.
> 	However I could'nt build my libs as dlls as there were
> 	a bunch of unresolved symbols.
> 
> 	Q: In a case where liba.a -> libb.a -> libc.a ->libd.a
> 	How do I create liba.dll, libb.dll, libc.dll? and not libd.dll
> 	Any Idea if this is possible?

Yes, you just need to set the LDLIBS-foo variable to link in the
appropriate libraries (and of course you need to add the appropriate
dependencies to your makefile, so that make doesn't try to link
with a library before it has been built).

E.g. if libfoo.dll uses libbar.dll, then you need to link it with
`-lbar.stubs'.

	LDLIBS-foo = -lbar.stubs

You might also need `LDFLAGS = -L.' (I forget whether `.' is in
the default search path).

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".